//////////////////////license & copyright header///////////////////////
//                                                                   //
//              Java Cannery - jar management utility.               //
//                Copyright (c) 1998 by Kevin Kelley                 //
//                                                                   //
// This program is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU General Public License as    //
// published by the Free Software Foundation; either version 2 of    //
// the License, or (at your option) any later version.               //
//                                                                   //
// This program is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     //
// GNU General Public License for more details.                      //
//                                                                   //
// You should have received a copy of the GNU General Public License //
// along with this program in the file 'gpl.html'; if not, write to  //
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  //
// Boston, MA 02111-1307, USA, or contact the author:                //
//                                                                   //
//                       Kevin Kelley  <kelley@iguana.ruralnet.net>  //
//                                                                   //
////////////////////end license & copyright header/////////////////////
package starlight.cannery;
import java.util.Hashtable;
import java.awt.Image;
import java.awt.Font;
import images.ImageLoader;

class Resources {

public static String VersionString = "1.00 alpha";

public static String JarNew       = "Jar:New";
public static String JarOpen      = "Jar:Open";
public static String JarSave      = "Jar:Save";
public static String JarSaveAs    = "Jar:Save As";
public static String JarExit      = "Jar:Exit";

public static String ItmAdd       = "Item:Add";
public static String ItmDelete    = "Item:Delete";
public static String ItmExtract   = "Item:Extract";
public static String ItmView      = "Item:View";
public static String ItmLaunch    = "Item:Launch";

public static String HlpAbout     = "Help:About";
public static String HlpContents  = "Help:Contents";

public static Font appFont = new Font("SansSerif", Font.PLAIN, 11);

public static Image appIcon    = ImageLoader.loadImage("jar.gif"   );
public static Image RootIcon   = ImageLoader.loadImage("jar_small.gif"   );
public static Image OpenIcon   = ImageLoader.loadImage("folderOpen.gif"  );
public static Image ClosedIcon = ImageLoader.loadImage("folderClosed.gif");

/** let button icons be looked up by command name. */
public static Image getCommandImage(String cmd)
    { return (Image) imageMap.get(cmd); }

private static Hashtable imageMap = new Hashtable();
static {
 imageMap.put(JarNew     , ImageLoader.loadImage("jarNew.gif"      ));
 imageMap.put(JarOpen    , ImageLoader.loadImage("jarOpen.gif"     ));
 imageMap.put(JarSave    , ImageLoader.loadImage("jarSave.gif"     ));
 imageMap.put(JarSaveAs  , ImageLoader.loadImage("jarSaveAs.gif"   ));
 imageMap.put(JarExit    , ImageLoader.loadImage("jarExit.gif"     ));
 imageMap.put(ItmAdd     , ImageLoader.loadImage("itmAdd.gif"      ));
 imageMap.put(ItmDelete  , ImageLoader.loadImage("itmDelete.gif"   ));
 imageMap.put(ItmExtract , ImageLoader.loadImage("itmExtract.gif"  ));
 imageMap.put(ItmView    , ImageLoader.loadImage("itmView.gif"     ));
 imageMap.put(ItmLaunch  , ImageLoader.loadImage("itmLaunch.gif"   ));
 imageMap.put(HlpAbout   , ImageLoader.loadImage("hlpAbout.gif"    ));
 imageMap.put(HlpContents, ImageLoader.loadImage("hlpContents.gif" ));
}
}
