//////////////////////license & copyright header///////////////////////
//                                                                   //
//                Copyright (c) 1998 by Kevin Kelley                 //
//                                                                   //
// This program is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU General Public License as    //
// published by the Free Software Foundation; either version 2 of    //
// the License, or (at your option) any later version.               //
//                                                                   //
// This program is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     //
// GNU General Public License for more details.                      //
//                                                                   //
// You should have received a copy of the GNU General Public License //
// along with this program in the file 'gpl.html'; if not, write to  //
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  //
// Boston, MA 02111-1307, USA, or contact the author:  Kevin Kelley  //
// (kelley@iguana.ruralnet.net).                                     //
//                                                                   //
////////////////////end license & copyright header/////////////////////
package starlight.dialog;
import java.awt.*;
import java.awt.event.*;
import starlight.ui.*;

public class WarnDialog implements ActionListener {

static Image warnIcon = images.ImageLoader.loadImage("exclaim.gif");
static String OkayMsg = "Okay";
static String CancelMsg = "Cancel";

String answer = "";

private WarnDialog() {}

static public void tell(String warnMsg)
{
    WarnDialog warner = new WarnDialog();
    warner.displayOkDialog(warnMsg);
}

static public boolean askOkay(String msg)
{
    WarnDialog warner = new WarnDialog();
    warner.displayOkCancelDialog(msg);

    return OkayMsg.equals(warner.answer);
}

private void displayOkDialog(String msg) {
    MessageBox box = new MessageBox();
    box.setTitle("Warning Dialog");
    box.useImageCanvas(new ImageCanvas(warnIcon));
    box.addChoice(OkayMsg);
    box.setActionListener(this);

    box.ask(msg);
}
private void displayOkCancelDialog(String msg) {
    MessageBox box = new MessageBox();
    box.setTitle("Warning Dialog");
    box.useImageCanvas(new ImageCanvas(warnIcon));
    box.addChoice(OkayMsg);
    box.addChoice(CancelMsg);
    box.setActionListener(this);

    box.ask(msg);
}

public synchronized void actionPerformed(ActionEvent evt)
    { answer = evt.getActionCommand(); }

// Unit test.
public static void main(String args[]) {
    if (WarnDialog.askOkay("ok to continue?"))
          System.out.println("Ok!  we can continue.");
     else System.out.println("Gee, wally, why not?");

    WarnDialog.tell("why, I oughtta...");
     System.exit(0);
}
}
