//////////////////////license & copyright header///////////////////////
//                                                                   //
//              Java Cannery - jar management utility.               //
//                Copyright (c) 1998 by Kevin Kelley                 //
//                                                                   //
// This program is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU General Public License as    //
// published by the Free Software Foundation; either version 2 of    //
// the License, or (at your option) any later version.               //
//                                                                   //
// This program is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     //
// GNU General Public License for more details.                      //
//                                                                   //
// You should have received a copy of the GNU General Public License //
// along with this program in the file 'gpl.html'; if not, write to  //
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  //
// Boston, MA 02111-1307, USA, or contact the author:                //
//                                                                   //
//                       Kevin Kelley  <kelley@iguana.ruralnet.net>  //
//                                                                   //
////////////////////end license & copyright header/////////////////////
package starlight.ui;
import java.awt.*;
import java.awt.event.*;
import starlight.ui.cmd.*;

public class MainMenu extends MenuBar implements CommandInvoker {

public void installCommand(Command cmd) { /*findMenuItem(cmd).show();*/ }
public void  enableCommand(Command cmd) { findMenuItem(cmd).setEnabled(true); }
public void disableCommand(Command cmd) { findMenuItem(cmd).setEnabled(false); }
public void  removeCommand(Command cmd) { /*findMenuItem(cmd).hide();*/ }

protected Menu findMenu(Command cmd) {
    int n = getMenuCount();
    for (int i=0; i<n; i++) {
        Menu menu = (Menu) getMenu(i);
        if (menu.getLabel().equals(cmd.categoryName()))
            return menu;
    } return null;
}
protected MenuItem findMenuItem(Command cmd) {
    Menu menu = findMenu(cmd);
    int n = menu.getItemCount();
    for (int i=0; i<n; i++) {
        MenuItem item = menu.getItem(i);
        if (item.getLabel().equals(cmd.commandName()))
            return item;
    } return null;
}

public MenuItem createMenuItem(Command cmd) {
    Menu menu = findMenu(cmd);
    if (menu == null)
        add(menu=new Menu(cmd.categoryName()));
    MenuItem item = new MenuItem(cmd.commandName());
    item.setActionCommand(cmd.fullName()); 
    menu.add(item);
    disableCommand(cmd);
    cmd.registerInvoker(this);
    item.addActionListener(cmd);
    return item;
}
}
