//////////////////////license & copyright header///////////////////////
//                                                                   //
//              Java Cannery - jar management utility.               //
//                Copyright (c) 1998 by Kevin Kelley                 //
//                                                                   //
// This program is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU General Public License as    //
// published by the Free Software Foundation; either version 2 of    //
// the License, or (at your option) any later version.               //
//                                                                   //
// This program is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     //
// GNU General Public License for more details.                      //
//                                                                   //
// You should have received a copy of the GNU General Public License //
// along with this program in the file 'gpl.html'; if not, write to  //
// the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  //
// Boston, MA 02111-1307, USA, or contact the author:                //
//                                                                   //
//                       Kevin Kelley  <kelley@iguana.ruralnet.net>  //
//                                                                   //
////////////////////end license & copyright header/////////////////////
package starlight.util;

public class Msg {

public static boolean DEBUG = true;

private static StatusMessageTarget target;

public static void setTarget(StatusMessageTarget t) {
    target = t;
}

public static void debug(String s) {
    if (DEBUG)
        if (target!=null) target.debug(s);
        else System.err.println("DEBUG: "+s);
}
public static void notify(String s) {
    if (target!=null) target.notify(s);
    else System.out.println(s);
}
public static void warn(String s) {
    if (target!=null) target.warn(s);
    else System.err.println("Warning: "+s);
}
public static void error(String s) {
    if (target!=null) target.error(s);
    else System.err.println("Error: "+s);
}
public static void punt(String s) {
    if (target!=null) target.punt(s);
    else { System.err.println("FATAL: "+s);System.exit(0); }
}

}
